View Issue Details

IDProjectCategoryView StatusLast Update
0032841Open CASCADEOCCT:Visualizationpublic2022-03-06 13:20
Reporterngavrilo Assigned Tokgv  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Product Version7.6.0 
Target Version7.7.0 
Summary0032841: Visualization - add 16-bit grayscale pixel format to Image_PixMap
DescriptionAdding 16-bit grayscale pixel format to Image_PixMap could be useful for medical imaging applications.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
#vcaps -deepColor
vinit View1
vdisplay -dispMode 1 b
vfit
vaspects b -shadingModel UNLIT
vtexture b ladoga.tif
vleft
vfit
TagsNo tags attached.
Test case numberN/A

Attached Files

  • ladoga.tif (20,420 bytes)

Activities

git

2022-03-01 22:34

administrator   ~0107122

Branch CR32841 has been created by kgv.

SHA-1: 7e7bba5620ed49ba3583dc168ea7683f022e9d5e


Detailed log of new commits:

Author: kgv
Date: Tue Mar 1 22:34:31 2022 +0300

    0032841: Visualization - add 16-bit grayscale pixel format to Image_PixMap
    
    Added Image_Format_Gray16 pixel format definition, which could be uploaded into GL_R16 texture.

git

2022-03-01 22:53

administrator   ~0107123

Branch CR32841 has been updated forcibly by kgv.

SHA-1: 7e3704d6b28a46e25fd7b640adb71f767c29475e

kgv

2022-03-01 22:56

developer   ~0107124

ladoga.tif (20,420 bytes)

git

2022-03-01 23:09

administrator   ~0107125

Branch CR32841 has been updated by kgv.

SHA-1: 0a15dc83896e63fa739ce2715db6f7128d2663c4


Detailed log of new commits:

Author: kgv
Date: Tue Mar 1 23:09:07 2022 +0300

    Added Image_Format_GrayF_half for completeness.

git

2022-03-01 23:11

administrator   ~0107126

Branch CR32841_1 has been created by kgv.

SHA-1: 08dc1c10b17f7416aea9662826437ab7015c16e1


Detailed log of new commits:

Author: kgv
Date: Tue Mar 1 22:34:31 2022 +0300

    0032841: Visualization - add 16-bit grayscale pixel format to Image_PixMap
    
    Added Image_Format_Gray16 pixel format definition, which could be uploaded into GL_R16 texture.
    Added Image_Format_GrayF_half mapped to GL_R16F texture.

kgv

2022-03-02 00:31

developer   ~0107127

Patch is ready for review
- OCCT: branch CR32841_1.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32841_1-master-KGV/

osa

2022-03-02 17:35

developer   ~0107138

The patch was reviewed

smoskvin

2022-03-06 10:09

administrator   ~0107207

Combination -
OCCT branch : IR-2022-03-05
master SHA - acce2c1448254a2e57cc940dc479a795dcc3f5f0
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-03-05 SHA - 811792d8c83c5e910e820c2e0f9efd0c3306cee3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18394.330000000256 / 18467.180000000375 [-0.39%]
Products
Total CPU difference: 11708.150000000112 / 11716.630000000077 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20348.171875 / 20359.046875 [-0.05%]
Products
Total CPU difference: 13154.5625 / 13140.734375 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-03-06 13:19

administrator   ~0107218

Branch CR32841 has been deleted by mnt.

SHA-1: 0a15dc83896e63fa739ce2715db6f7128d2663c4

git

2022-03-06 13:20

administrator   ~0107219

Branch CR32841_1 has been deleted by mnt.

SHA-1: 08dc1c10b17f7416aea9662826437ab7015c16e1

Related Changesets

occt: master b9a372bb

2022-03-01 22:34:31

kgv


Committer: smoskvin Details Diff
0032841: Visualization - add 16-bit grayscale pixel format to Image_PixMap

Added Image_Format_Gray16 pixel format definition, which could be uploaded into GL_R16 texture.
Added Image_Format_GrayF_half mapped to GL_R16F texture.
Affected Issues
0032841
mod - src/Image/Image_AlienPixMap.cxx Diff File
mod - src/Image/Image_Format.hxx Diff File
mod - src/Image/Image_PixMap.cxx Diff File
mod - src/Image/Image_PixMap.hxx Diff File
mod - src/Media/Media_Frame.cxx Diff File
mod - src/OpenGl/OpenGl_Context.cxx Diff File
mod - src/OpenGl/OpenGl_Context.hxx Diff File
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_GlFunctions.cxx Diff File
mod - src/OpenGl/OpenGl_GlTypes.hxx Diff File
mod - src/OpenGl/OpenGl_TextureFormat.cxx Diff File

Issue History

Date Modified Username Field Change
2022-02-17 10:31 ngavrilo New Issue
2022-02-17 10:31 ngavrilo Assigned To => ngavrilo
2022-02-17 10:50 kgv Severity minor => feature
2022-02-17 10:50 kgv Summary Add 16-bit grayscale pixel format to Image_PixMap => Visualization - add 16-bit grayscale pixel format to Image_PixMap
2022-03-01 22:34 git Note Added: 0107122
2022-03-01 22:53 git Note Added: 0107123
2022-03-01 22:56 kgv Note Added: 0107124
2022-03-01 22:56 kgv File Added: ladoga.tif
2022-03-01 23:09 git Note Added: 0107125
2022-03-01 23:11 git Note Added: 0107126
2022-03-01 23:14 kgv Steps to Reproduce Updated
2022-03-01 23:14 kgv Test case number => N/A
2022-03-02 00:31 kgv Assigned To ngavrilo => osa
2022-03-02 00:31 kgv Status new => resolved
2022-03-02 00:31 kgv Note Added: 0107127
2022-03-02 16:09 bugmaster Project Internal => Open CASCADE
2022-03-02 17:35 osa Assigned To osa => bugmaster
2022-03-02 17:35 osa Status resolved => reviewed
2022-03-02 17:35 osa Note Added: 0107138
2022-03-06 10:09 smoskvin Status reviewed => tested
2022-03-06 10:09 smoskvin Note Added: 0107207
2022-03-06 13:15 smoskvin Changeset attached => occt master b9a372bb
2022-03-06 13:15 kgv Assigned To bugmaster => kgv
2022-03-06 13:15 kgv Status tested => verified
2022-03-06 13:15 kgv Resolution open => fixed
2022-03-06 13:19 git Note Added: 0107218
2022-03-06 13:20 git Note Added: 0107219